petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscDualSpaceTransform

Transform the function values

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceTransform(PetscDualSpace dsp, PetscDualSpaceTransformType trans, PetscBool isInverse, PetscFEGeom *fegeom, PetscInt Nv, PetscInt Nc, PetscScalar vals[])

### Input Parameters

| dsp | - The PetscDualSpace
| trans | - The type of transform
| isInverse | - Flag to invert the transform
| fegeom | - The cell geometry
| Nv | - The number of function samples
| Nc | - The number of function components
| vals | - The function values

### Output Parameter

vals -The transformed function values

Note: This only handles tranformations when the embedding dimension of the geometry in fegeom is the same as the reference dimension.

### See Also

PetscDualSpaceTransformGradient(), PetscDualSpacePullback(), PetscDualSpacePushforward(), PetscDualSpaceTransformType

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages